Issue1050

classification
Title: Don't display banner/prompts when stdin is not a tty
Type: behaviour Severity: normal
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nriley Nosy List: nriley
Priority: Keywords:

Created on 2008-06-09.01:58:48 by nriley, last changed 2008-08-02.08:50:29 by nriley.

Messages
msg3260 (view) Author: Nicholas Riley (nriley) Date: 2008-06-09.01:58:40
CPython's test_cmd_line, among other things, depends on this behavior.

This may happen automatically once we implement isatty (probably via JNA 
as Java does not let us get this information.)
msg3298 (view) Author: Nicholas Riley (nriley) Date: 2008-06-22.04:49:10
I'm working on hooking up isatty.  This is relatively easy to do for 
stdin/out/err and harder to do for arbitrary files; luckily the first case 
covers a vast majority of uses.
msg3301 (view) Author: Nicholas Riley (nriley) Date: 2008-06-23.02:43:04
isatty is in r4714.  Py_InteractiveFlag / -i / PYTHONINSPECT remain to be 
implemented.
msg3308 (view) Author: Nicholas Riley (nriley) Date: 2008-06-26.02:54:55
Mostly completed in r4781.  Need to test on Windows.
msg3389 (view) Author: Nicholas Riley (nriley) Date: 2008-08-02.08:50:28
Fixed jna-posix to implement isatty on Windows in http://jira.codehaus.org/browse/JRUBY-2885; committed a patched version in 
r5052.  Support scripts on stdin in r5051.
History
Date User Action Args
2008-08-02 08:50:29nrileysetstatus: open -> closed
resolution: fixed
messages: + msg3389
2008-06-26 02:54:56nrileysetmessages: + msg3308
2008-06-23 02:43:08nrileysetmessages: + msg3301
2008-06-22 04:49:10nrileysetassignee: nriley
messages: + msg3298
2008-06-09 01:59:04nrileysettype: behaviour
2008-06-09 01:58:48nrileycreate